You are viewing a non-production environment — the API surface may differ from production.
Payments API

Invoice Recipients

GET
/api/v1/invoice-recipients/{recipientId}/auto-send-schedule

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

recipientId*string

Recipient UUID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/invoice-recipients/497f6eca-6276-4993-bfeb-53cbbbba6f08/auto-send-schedule"
{  "status": "success",  "data": {    "schedule": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "recipientId": "afdd332c-8290-47b9-aca2-368bf5f25a9d",      "isActive": true,      "scheduleType": "weekly",      "dayOfWeek": 0,      "dayOfMonth": 0,      "intervalDays": 0,      "timeOfDay": "string",      "timezone": "string",      "nextRunAt": "2019-08-24T14:15:22Z",      "lastRunAt": "2019-08-24T14:15:22Z",      "lastRunStatus": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
DELETE
/api/v1/invoice-recipients/{recipientId}/auto-send-schedule

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

recipientId*string

Recipient UUID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v1/invoice-recipients/497f6eca-6276-4993-bfeb-53cbbbba6f08/auto-send-schedule"
{  "status": "success",  "data": {    "deleted": true  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
PUT
/api/v1/invoice-recipients/{recipientId}/auto-send-schedule

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

recipientId*string

Recipient UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

isActive*boolean
scheduleType*string

Value in

  • "weekly"
  • "monthly"
  • "interval_days"
dayOfWeek?number
Range0 <= value <= 6
dayOfMonth?number
Range1 <= value <= 28
intervalDays?number
Range1 <= value <= 365
timeOfDay*string
Match^([01]\d|2[0-3]):[0-5]\d(:[0-5]\d)?$
timezone?string

IANA name (default Europe/Stockholm)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/invoice-recipients/497f6eca-6276-4993-bfeb-53cbbbba6f08/auto-send-schedule" \  -H "Content-Type: application/json" \  -d '{    "isActive": true,    "scheduleType": "weekly",    "timeOfDay": "string"  }'
{  "status": "success",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "recipientId": "afdd332c-8290-47b9-aca2-368bf5f25a9d",    "isActive": true,    "scheduleType": "weekly",    "dayOfWeek": 0,    "dayOfMonth": 0,    "intervalDays": 0,    "timeOfDay": "string",    "timezone": "string",    "nextRunAt": "2019-08-24T14:15:22Z",    "lastRunAt": "2019-08-24T14:15:22Z",    "lastRunStatus": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
GET
/api/v1/invoice-recipients/{recipientId}/references

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

recipientId*string

Recipient UUID

Formatuuid

Query Parameters

includeInactive?boolean

Include deactivated references

Defaultfalse
locationId?number

Viewing child location ID, used when reading references from an inherited recipient

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/invoice-recipients/497f6eca-6276-4993-bfeb-53cbbbba6f08/references"
{  "status": "success",  "data": {    "references": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "recipientId": "afdd332c-8290-47b9-aca2-368bf5f25a9d",        "reference": "string",        "isActive": true,        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ]  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
POST
/api/v1/invoice-recipients/{recipientId}/references

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

recipientId*string

Recipient UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

reference*string

Reference text

Length1 <= length <= 255

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/invoice-recipients/497f6eca-6276-4993-bfeb-53cbbbba6f08/references" \  -H "Content-Type: application/json" \  -d '{    "reference": "string"  }'
{  "status": "success",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "recipientId": "afdd332c-8290-47b9-aca2-368bf5f25a9d",    "reference": "string",    "isActive": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
PUT
/api/v1/invoice-recipients/{recipientId}/references/{referenceId}

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

recipientId*string
Formatuuid
referenceId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

reference?string
Length1 <= length <= 255
isActive?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/invoice-recipients/497f6eca-6276-4993-bfeb-53cbbbba6f08/references/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "status": "success",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "recipientId": "afdd332c-8290-47b9-aca2-368bf5f25a9d",    "reference": "string",    "isActive": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
GET
/api/v1/invoice-recipients/guest-lookup

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Query Parameters

locationId*number
email*string
Formatemail

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/invoice-recipients/guest-lookup?locationId=0&email=user%40example.com"
{  "status": "success",  "data": {    "userId": 0,    "uuid": "string",    "name": "string",    "email": "string"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}